--[[
    File: tuf_hide_blizzard.lua
    Author: Tuck
    Description: This file contains all funtions that disable the default unit frames.
]]


--[[
    Hides the default player unit frame.
]]
function TuckUF:HideBlizzPlayer()
	PlayerFrameHealthBar:UnregisterAllEvents()
	PlayerFrameManaBar:UnregisterAllEvents()
	PlayerFrame:UnregisterAllEvents()
	PlayerFrame:Hide()
end

--[[
    Hides all default party unit frames.
]]
function TuckUF:HideBlizzParty()
	for i=1,4 do
		local frame = getglobal("PartyMemberFrame"..i)
		local pframe = getglobal("PartyMemberFrame"..i.."PetFrame")
		frame:UnregisterAllEvents()
		pframe:UnregisterAllEvents()
		getglobal("PartyMemberFrame"..i.."HealthBar"):UnregisterAllEvents()
		getglobal("PartyMemberFrame"..i.."ManaBar"):UnregisterAllEvents()
		getglobal("PartyMemberFrame"..i.."PetFrameHealthBar"):UnregisterAllEvents()
		frame:Hide()
		pframe:Hide()
		frame:ClearAllPoints()
		frame:SetPoint("BOTTOMLEFT", UIParent, "TOPLEFT", 0, 50)
	end
end

--[[
    Hides the default target unit frame.
]]
function TuckUF:HideBlizzTarget()
	TargetFrame:UnregisterAllEvents()
	TargetFrame:Hide()
	
	ComboFrame:UnregisterAllEvents()
	ComboFrame:Hide()
end
